Bug 487530 - FailoverExchangeMethod wrong retry logic
FailoverExchangeMethod wrong retry logic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.1.1
: ---
Assigned To: Rajith Attapattu
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 11:02 EST by Rajith Attapattu
Modified: 2012-12-07 12:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 12:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2009-02-26 11:02:21 EST
The current version of the FailoverExchangeMethod is extended from the FailoverRoundRobinServer class and is subjected to limits imposed by this class for retries and cycle counts.

The FailoverExchangeMethod should keep trying as long as 
a) The broker list update via the Failover exchange is not empty AND
b) We haven't tried all entries with out sucess (total cluster failure)
Comment 1 Rajith Attapattu 2009-03-09 15:40:07 EDT
This is tracked in upstream via QPID-1713
A fix for this is committed in Qpid trunk at rev 750205
Comment 2 Justin Ross 2011-06-29 14:45:34 EDT
Frantisek, does this issue have coverage?
Comment 3 ppecka 2011-07-14 10:03:21 EDT
VERIFIED on RHEL 5.6 / 6.2 (i686/x86_64)
 
# rpm -qa | grep qpid | sort -u
python-qpid-0.10-1.el5
python-qpid-qmf-0.10-10.el5
qpidc-debuginfo-0.5.752581-3.el5
qpid-cpp-client-0.10-8.el5
qpid-cpp-client-devel-0.10-8.el5
qpid-cpp-client-devel-docs-0.10-8.el5
qpid-cpp-client-ssl-0.10-8.el5
qpid-cpp-server-0.10-8.el5
qpid-cpp-server-cluster-0.10-8.el5
qpid-cpp-server-devel-0.10-8.el5
qpid-cpp-server-ssl-0.10-8.el5
qpid-cpp-server-store-0.10-8.el5
qpid-cpp-server-xml-0.10-8.el5
qpid-java-client-0.10-6.el5
qpid-java-common-0.10-6.el5
qpid-java-example-0.10-6.el5
qpid-qmf-0.10-10.el5
qpid-qmf-devel-0.10-10.el5
qpid-tools-0.10-6.el5

--> VERIFIED
Comment 4 Frantisek Reznicek 2011-09-05 08:04:34 EDT
The issue was retested and verified, clearing the NEEDINFO flag.

Note You need to log in before you can comment on or make changes to this bug.